### Method

# Adw SidebarSection insert

since: 1.9

#### Declaration [src]

    void
    adw_sidebar_section_insert (
      AdwSidebarSection* self,
      AdwSidebarItem* item,
      int position
    )

#### Description [src]

Inserts `item` at `position` to `self`.

If `position` is -1, or larger than the total number of items in `self`, the item will be appended to the end.

Cannot be used while a model is bound via `adw_sidebar_section_bind_model()`.

Available since: 1.9

#### Parameters

`item`

  Type: `AdwSidebarItem`

  An item to insert.

  The instance takes ownership of the data, and is responsible for freeing it.

`position`

  Type: `int`

  Position to insert `item` at.